org.hibernate.search.query.hibernate.impl

## Class QueryLoader

- java.lang.Object
- - org.hibernate.search.query.hibernate.impl.AbstractLoader
  - - org.hibernate.search.query.hibernate.impl.QueryLoader

- All Implemented Interfaces:
    Loader

      public class QueryLoader
      extends AbstractLoader

  Author:
    Emmanuel Bernard, Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `executeLoad(EntityInfo entityInfo)`
    `protected List` | `executeLoad(List<EntityInfo> entityInfos)`
    `void` | `init(SessionImplementor session, ExtendedSearchIntegrator extendedIntegrator, ObjectInitializer objectInitializer, TimeoutManager timeoutManager)`
    `boolean` | `isSizeSafe()`
    `void` | `setCriteria(Criteria criteria)`
    `void` | `setEntityType(Class entityType)`

    - ### Methods inherited from class org.hibernate.search.query.hibernate.impl.AbstractLoader

      `init, load, load, loadWithoutTiming`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryLoader

          public QueryLoader()

  - ### Method Detail

    - #### init

          public void init(SessionImplementor session,
                           ExtendedSearchIntegrator extendedIntegrator,
                           ObjectInitializer objectInitializer,
                           TimeoutManager timeoutManager)

    - #### isSizeSafe

          public boolean isSizeSafe()

    - #### setEntityType

          public void setEntityType(Class entityType)

    - #### executeLoad

          protected final Object executeLoad(EntityInfo entityInfo)

      Specified by:
        `executeLoad` in class `AbstractLoader`

    - #### executeLoad

          protected final List executeLoad(List<EntityInfo> entityInfos)

      Specified by:
        `executeLoad` in class `AbstractLoader`

    - #### setCriteria

          public void setCriteria(Criteria criteria)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved